LibreOffice: SingleSelectQueryComposer Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | Public Attributes | List of all members
SingleSelectQueryComposer Service Reference

represents a service for composing a single select statement. More...

Inheritance diagram for SingleSelectQueryComposer:

## Included Services
service | SingleSelectQueryAnalyzer
| access to the analyzer service.

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
interface | XSingleSelectQueryComposer
Exported Interfaces inherited from SingleSelectQueryAnalyzer
interface | XSingleSelectQueryAnalyzer
interface | com::sun::star::sdbcx::XTablesSupplier
| access to the selected tables.
interface | com::sun::star::sdbcx::XColumnsSupplier
| access the selected columns.
interface | com::sun::star::sdb::XParametersSupplier
| access to the parameters which are used in the where clause.

## Public Attributes
string | Original
| is the original SQL statement set with the interface com::sun::star::sdb::XSingleSelectQueryAnalyzer.
Public Attributes inherited from XSingleSelectQueryComposer
string | ElementaryQuery { set raises(com::sun::star::sdbc::SQLException); }
| sets a new elementary query for the composer

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XSingleSelectQueryAnalyzer
string | getQuery ()
| returns the query.
void | setQuery ([in] string command) raises (com::sun::star::sdbc::SQLException)
| sets a new query for the composer, which may be expanded by filters, group by, having and sort criteria.
string | getFilter ()
| returns the used filter.
sequence< sequence< com::sun::star::beans::PropertyValue > > | getStructuredFilter ()
| returns the currently used filter.
string | getGroup ()
| returns the currently used GROUP BY.
com::sun::star::container::XIndexAccess | getGroupColumns ()
| returns the currently used group.
string | getHavingClause ()
| returns the used HAVING filter.
sequence< sequence< com::sun::star::beans::PropertyValue > > | getStructuredHavingClause ()
| returns the currently used HAVING filter.
string | getOrder ()
| returns the currently used sort order.
com::sun::star::container::XIndexAccess | getOrderColumns ()
| returns the currently used sort order.
string | getQueryWithSubstitution () raises (com::sun::star::sdbc::SQLException)
| returns the query previously set at the analyzer, with all application-level features being substituted by their database-level counterparts.
void | setCommand ([in] string Command, [in] long CommandType) raises (com::sun::star::sdbc::SQLException)
| sets a new query for the composer, which may be expanded by filters, group by, having and sort criteria.
Public Member Functions inherited from XTablesSupplier
com::sun::star::container::XNameAccess | getTables ()
| returns the container of tables.
Public Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns.
Public Member Functions inherited from XSingleSelectQueryComposer
void | setFilter ([in] string filter) raises (com::sun::star::sdbc::SQLException)
| makes it possible to set a filter condition for the query.
void | setStructuredFilter ([in] sequence< sequence< com::sun::star::beans::PropertyValue > > filter) raises (com::sun::star::sdbc::SQLException,com::sun::star::lang::IllegalArgumentException)
| appends a new set of filter criteria which is split into levels.
void | appendFilterByColumn ([in] com::sun::star::beans::XPropertySet column,[in] boolean andCriteria,[in] long filterOperator) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::WrappedTargetException)
| appends a new filter condition by a com::sun::star::sdb::DataColumn providing the name and the value for the filter.
void | setGroup ([in] string group) raises (com::sun::star::sdbc::SQLException)
| makes it possible to set a group for the query.
void | appendGroupByColumn ([in] com::sun::star::beans::XPropertySet column) raises (com::sun::star::sdbc::SQLException)
| appends an additional part to the group criteria of the select statement.
void | setHavingClause ([in] string filter) raises (com::sun::star::sdbc::SQLException)
| makes it possible to set a HAVING filter condition for the query.
void | setStructuredHavingClause ([in] sequence< sequence< com::sun::star::beans::PropertyValue > > filter) raises (com::sun::star::sdbc::SQLException)
| appends a new set of HAVING filter criteria which is split into levels.
void | appendHavingClauseByColumn ([in] com::sun::star::beans::XPropertySet column,[in] boolean andCriteria,[in] long filterOperator) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::WrappedTargetException)
| appends a new HAVING filter condition by a com::sun::star::sdb::DataColumn providing the name and the value for the filter.
void | setOrder ([in] string order) raises (com::sun::star::sdbc::SQLException)
| makes it possible to set a sort condition for the query.
void | appendOrderByColumn ([in] com::sun::star::beans::XPropertySet column, [in] boolean ascending) raises (com::sun::star::sdbc::SQLException)
| appends an additional part to the sort order criteria of the select statement.
Protected Member Functions inherited from XParametersSupplier
com::sun::star::container::XIndexAccess | getParameters ()
| returns the container of parameters.

## Detailed Description

represents a service for composing a single select statement.

It hides the complexity of parsing and evaluating a single select statement and provides sophisticated methods for expanding a statement with filter, group by, having and order criteria. To get the new extended statement use the methods from com::sun::star::sdb::SingleSelectQueryAnalyzer.

A SingleSelectQueryComposer is usually obtained from a Connection using the com::sun::star::lang::XMultiServiceFactory interface.

Developers Guide
  Database Access - The SingleSelectQueryComposer

## Exported Interfaces

## ◆ SingleSelectQueryAnalyzer

service SingleSelectQueryAnalyzer

access to the analyzer service.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

## ◆ XSingleSelectQueryComposer

interface XSingleSelectQueryComposer

## Member Data Documentation

## ◆ Original

string Original
| propertyreadonly

is the original SQL statement set with the interface com::sun::star::sdb::XSingleSelectQueryAnalyzer.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/SingleSelectQueryComposer.idl